
.text-controls {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: default;
}

.text-controls span {
    color: #000;
    font-size: 1rem;
    padding: 1px 0;
}

.text-controls span.txt-btn:hover {
    color: #fff;
    background-color: #000;
    cursor: pointer;
}
#trackProgressBar {
    width: 100%;
    margin: 0;
    margin-top: 20px;
}

audio#audioPlayer {
    width: 100%;
    display: none;
}

input[type=range]#trackProgressBar {
    -webkit-appearance: none;
    margin: 18px 0;
    width: 100%;
    margin-top: 8px;
}

input[type=range]#trackProgressBar:focus {
    outline: none;
    border: none;
}

input[type=range]#trackProgressBar::-webkit-slider-runnable-track {
    width: 100%;
    height: 2px;
    cursor: pointer;
    animate: 0.2s;
    box-shadow: none;
    background: #fff;
    border-radius: 1.3px;
    border: 10px solid #fff;
    border-right: none;
    border-left: none;
}

input[type=range]#trackProgressBar::-webkit-slider-thumb {
    box-shadow: none;
    border: none;
    height: 20px;
    width: 5px;
    border-radius: 0px;
    background: black;
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -10px;
}

input[type=range]#trackProgressBar:focus::-webkit-slider-runnable-track {
    background: #fff;
}

input[type=range]#trackProgressBar::-moz-range-track {
    width: 100%;
    height: 0px;
    cursor: pointer;
    animate: 0.2s;
    box-shadow: none;
    background: #fff;
    border-radius: 1.3px;
    border: 10px solid #fff;
    border-right: none;
    border-left: none;
}

input[type=range]#trackProgressBar::-moz-range-thumb {
    box-shadow: none;
    border: none;
    height: 20px;
    width: 5px;
    border-radius: 0px;
    background: black;
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -10px;
}

input[type=range]#trackProgressBar::-ms-track {
    width: 100%;
    height: 0px;
    cursor: pointer;
    animate: 0.2s;
    background: #fff;
    border-color: #fff;
    border-width: 10px 0;
    color: transparent;
}

input[type=range]#trackProgressBar::-ms-fill-lower {
    background: #fff;
    border: none;
    border-radius: 0px;
    box-shadow: none;
}

input[type=range]#trackProgressBar::-ms-fill-upper {
    background: #fff;
    border: none;
    border-radius: 0px;
    box-shadow: none;
}

input[type=range]#trackProgressBar::-ms-thumb {
    box-shadow: none;
    border: none;
    height: 20px;
    width: 5px;
    border-radius: 0px;
    background: black;
    cursor: pointer;
    margin-top: 0px;
}

input[type=range]#trackProgressBar:focus::-ms-fill-lower {
    background: #fff;
}

input[type=range]#trackProgressBar:focus::-ms-fill-upper {
    background: #fff;
}